%define fontname    edrip
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename %{fontname}-src-%{version}

# Why do I need to add this?
%define debug_package %{nil}

Name:    %{fontname}-fonts
Version: 20080330
Release: 1%{?dist}
Summary: Edrip decorative font

Group:     User Interface/X
License:   OFL
URL:       ftp://ftp.dvo.ru/pub/Font/edrip/
Source0:   %{url}/%{archivename}.tar.bz2
Source1:   %{name}-fontconfig.conf

Patch0:    edrip-fonts-license.patch

BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:     noarch
BuildRequires: xgridfit, fontforge

%description
Edrip font is a contrast sans-serif font. It is based on the Teams font
released on 2000 by TopTeam Co. Edrip contains symbols for basic Cyrillic and
Latin alphabets.


%prep
%setup -q -c
%patch0 -p1

%build
make Edrip-Regular.ttf


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p Edrip-Regular.ttf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/61-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ] ; then
  %{_bindir}/fc-cache %{fontdir} || :
fi


%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
  %{_bindir}/fc-cache %{fontdir} || :
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt README

%config(noreplace) %{fontconfdir}/61-%{fontname}.conf

%dir %{fontdir}
%{fontdir}/Edrip-Regular.ttf


%changelog
* Fri Apr 4 2008 <nicolas.mailhot at laposte.net>
- 20080330-1
⤊ Fast upstream changes

* Tue Mar 27 2008 <nicolas.mailhot at laposte.net>
- 20080317-3
✓ Fix source URL
✓ Add more fontconfig magic

* Wed Mar 26 2008 <nicolas.mailhot at laposte.net>
- 20080317-1
✓ Fedora import

* Thu Mar 13 2008 <nicolas.mailhot at laposte.net>
- 20080310-1
✓ Initial packaging
